#!/usr/local/bin/perl

##=======================================================================##
## AD-EDIT ImageUploader for openWYSIWYG v2.8.7
## (c)2008-2010 NorenzPRO Ltd. TakafumiArai 2010/2/15
##=======================================================================##
use CGI::Carp qw(fatalsToBrowser);

##=======================================================================##
## 設定項目
##=======================================================================##
##★ライブラリ
use strict;
use CGI;
use Encode;
use File::Path;

##★このCGIの名前
our $cginame = 'insert_image.cgi';

##★システム設定ファイルのパス
our $conffile = '../../../conf.dat';

##★アップロードフォルダ(このCGIからのパス)
#our $updir = '../../../../uploads/';

##★アップロードフォルダ(コンテンツフォルダからのパス)
#our $showdir = '../uploads/';

##★ファイルアップロード上限サイズ(KB)
our $UploadMaxSize=5120;

##=====================================================================================##
##メインルーチン
##=====================================================================================##

##システム設定ファイル読込
open(CONFRD,"$conffile");
our @CONF = <CONFRD>;
close(CONFRD);
our $DirMode =$CONF[0];
$DirMode =~ s/\r//g; $DirMode =~ s/\n//g;
our $ExecMode =$CONF[1];
$ExecMode =~ s/\r//g; $ExecMode =~ s/\n//g;
our $WRMode =$CONF[2];
$WRMode =~ s/\r//g; $WRMode =~ s/\n//g;
our $Domain =$CONF[3];
$Domain =~ s/\r//g; $Domain =~ s/\n//g;
our $PerlPath =$CONF[4];
$PerlPath =~ s/\r//g; $PerlPath =~ s/\n//g;
our $EditType =$CONF[5];
$EditType =~ s/\r//g; $EditType =~ s/\n//g;
our $EditName =$CONF[6];
$EditName =~ s/\r//g; $EditName =~ s/\n//g;
our $SendmailPath =$CONF[7];
$SendmailPath =~ s/\r//g; $SendmailPath =~ s/\n//g;
our $GmapAPIkey =$CONF[8];
$GmapAPIkey =~ s/\r//g; $GmapAPIkey =~ s/\n//g;
our $SysVersion =$CONF[9];
$SysVersion =~ s/\r//g; $SysVersion =~ s/\n//g;
our $RootPath =$CONF[10];
$RootPath =~ s/\r//g; $RootPath =~ s/\n//g;
our $LogoutTime =$CONF[11];
$LogoutTime =~ s/\r//g; $LogoutTime =~ s/\n//g;
our $PathConvert =$CONF[12];
$PathConvert =~ s/\r//g; $PathConvert =~ s/\n//g;
our $UpdateOut =$CONF[13];
$UpdateOut =~ s/\r//g; $UpdateOut =~ s/\n//g;
our $DefMainURL =$CONF[14];
$DefMainURL =~ s/\r//g; $DefMainURL =~ s/\n//g;
our $SearchSkinURL =$CONF[15];
$SearchSkinURL =~ s/\r//g; $SearchSkinURL =~ s/\n//g;
if ($DirMode eq '') { $DirMode ='0755'; }
if ($ExecMode eq '') { $ExecMode ='0755'; }
if ($WRMode eq '') { $WRMode ='0666'; }
if ($PerlPath eq '') { $PerlPath ='#!/usr/local/bin/perl'; }
if ($DefMainURL eq '') { $DefMainURL ='main.html'; }
if ($SearchSkinURL eq '') { $SearchSkinURL ='/skin/skin.html'; }
our $vLogoutTime;
if ($LogoutTime eq '1800') { $vLogoutTime='30分'; }
elsif ($LogoutTime eq '3600') { $vLogoutTime='1時間'; }
elsif ($LogoutTime eq '10800') { $vLogoutTime='3時間'; }
elsif ($LogoutTime eq '21600') { $vLogoutTime='6時間'; }
elsif ($LogoutTime eq '43200') { $vLogoutTime='12時間'; }
elsif ($LogoutTime eq '86400') { $vLogoutTime='1日'; }
elsif ($LogoutTime eq '259200') { $vLogoutTime='3日'; }
elsif ($LogoutTime eq '604800') { $vLogoutTime='7日'; }
else { $LogoutTime='259200'; $vLogoutTime='3日'; }

##転送許可ファイルのサイズ上限
our $ViewMaxSize;
if ($UploadMaxSize < 1024) {
	$ViewMaxSize=$UploadMaxSize."KB";
} else {
	my $ViewMaxMB =int($UploadMaxSize*10/1024)/10;
	$ViewMaxSize=$ViewMaxMB.'MB';
}
our $MaxDataSize=$UploadMaxSize*1024;

##フォームの取得
our %ENV;
our %in;
our @in;
our $upfile;
if ($MaxDataSize < $ENV{'CONTENT_LENGTH'}) { &error('添付ファイル容量オーバー'); }
my $query = CGI->new;
*in = $query->Vars();
Encode::from_to(*in, 'utf8', 'utf8');
if ($in{'imgfile'} ne '') {
	my $query = CGI->new; 
	$upfile= $query->param('imgfile'); 
}
our $orgfname;
our $wysiwyg=$in{'wysiwyg'};
our $resize=$in{'resize'};
our $targd=$wysiwyg;
$targd =~ s/smallWYSIWYG//g;
$targd =~ s/openWYSIWYG//g;
$targd =~ s/MailFormHeader//g;
$targd =~ s/MailFormFooter//g;
our $seld=$in{'seld'};

##ディレクトリ切替
our $swTagLocal;
our $swTagPub;
our $updir;
our $showdir;
if ($seld eq '') { $seld='loc'; }
if ($targd eq '') { $seld='pub'; }
if ($seld eq 'pub') {
	$updir = '../../../../uploads/';
	$showdir = '../uploads/';
	$swTagLocal='<a href="'.$cginame.'?wysiwyg='.$wysiwyg.'&amp;targd='.$targd.'&amp;seld=loc">[コンテンツ]</a>';
	$swTagPub='[サイト共有]';
} elsif ($seld eq 'loc') {
	$updir = '../../../../'.$targd.'/file/';
	$showdir = './file/';
	$swTagLocal='[コンテンツ]';
	$swTagPub='<a href="'.$cginame.'?wysiwyg='.$wysiwyg.'&amp;targd='.$targd.'&amp;seld=pub">[サイト共有]</a>';
}

if ($in{'mode'} eq 'regfile') { &regfile; }
elsif ($in{'mode'} eq 'delcheck') { &delcheck; }
elsif ($in{'mode'} eq 'delfile') { &delfile; }
elsif ($in{'mode'} eq 'list') { &list; }
elsif ($in{'mode'} eq 'view') { &view; }
else { &html; }

exit;

##=====================================================================================##
##サブルーチン
##=====================================================================================##
sub html {

my $hideTag1;
my $hideTag2;
if ($PathConvert eq '') {
	$hideTag1='<!--';
	$hideTag2='-->';
}

##★HTML変更はここを訂正
my $viewHTML = <<"HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="expires" content="0">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>画像の挿入 $targd $seld</title>

<script type="text/javascript" src="../../scripts/wysiwyg-popup.js"></script>
<script language="JavaScript" type="text/javascript">

/* ---------------------------------------------------------------------- *\
  Function    : insertImage()
  Description : Inserts image into the WYSIWYG.
\* ---------------------------------------------------------------------- */
function insertImage() {
	var n = WYSIWYG_Popup.getParam('wysiwyg');
	
	// get values from form fields
	var src = document.getElementById('src').value;
	var alt = document.getElementById('alt').value;
	var width = document.getElementById('width').value
	var height = document.getElementById('height').value
	var border = document.getElementById('border').value
	var align = document.getElementById('align').value
	var vspace = document.getElementById('vspace').value
	var hspace = document.getElementById('hspace').value
	
	// insert image
	WYSIWYG.insertImage(src, width, height, align, border, alt, hspace, vspace, n);
  	window.close();
}

/* ---------------------------------------------------------------------- *\
  Function    : loadImage()
  Description : load the settings of a selected image into the form fields
\* ---------------------------------------------------------------------- */
function loadImage() {
	var n = WYSIWYG_Popup.getParam('wysiwyg');
	
	// get selection and range
	var sel = WYSIWYG.getSelection(n);
	var range = WYSIWYG.getRange(sel);
	
	// the current tag of range
	var img = WYSIWYG.findParent("img", range);
	
	// if no image is defined then return
	if(img == null) return;
		
	// assign the values to the form elements
	for(var i = 0;i < img.attributes.length;i++) {
		var attr = img.attributes[i].name.toLowerCase();
		var value = img.attributes[i].value;
		//alert(attr + " = " + value);
		if(attr && value && value != "null") {
			switch(attr) {
				case "src": 
					// strip off urls on IE
					if(WYSIWYG_Core.isMSIE) value = WYSIWYG.stripURLPath(n, value, false);
					document.getElementById('src').value = value;
				break;
				case "alt":
					document.getElementById('alt').value = value;
				break;
				case "align":
					selectItemByValue(document.getElementById('align'), value);
				break;
				case "border":
					document.getElementById('border').value = value;
				break;
				case "hspace":
					document.getElementById('hspace').value = value;
				break;
				case "vspace":
					document.getElementById('vspace').value = value;
				break;
				case "width":
					document.getElementById('width').value = value;
				break;
				case "height":
					document.getElementById('height').value = value;
				break;				
			}
		}
	}
	
	// get width and height from style attribute in none IE browsers
	if(!WYSIWYG_Core.isMSIE && document.getElementById('width').value == "" && document.getElementById('width').value == "") {
		document.getElementById('width').value = img.style.width.replace(/px/, "");
		document.getElementById('height').value = img.style.height.replace(/px/, "");
	}
}

/* ---------------------------------------------------------------------- *\
  Function    : selectItem()
  Description : Select an item of an select box element by value.
\* ---------------------------------------------------------------------- */
function selectItemByValue(element, value) {
	if(element.options.length) {
		for(var i=0;i<element.options.length;i++) {
			if(element.options[i].value == value) {
				element.options[i].selected = true;
			}
		}
	}
}

</script>
</head>
<body bgcolor="#EEEEEE" marginwidth="0" marginheight="0" topmargin="0" leftmargin="0" onLoad="loadImage();">
<table border="0" cellpadding="0" cellspacing="0" style="padding: 10px;">
	<tr>
		<td style="vertical-align:top;">
		<form method="POST" action="$cginame" enctype="multipart/form-data">
		<input type="hidden" id="dir" name="dir" value="">
		<input type="hidden" name="mode" value="regfile">
		<input type="hidden" name="wysiwyg" value="$wysiwyg">
		<input type="hidden" name="seld" value="$seld">
		<input type="hidden" name="targd" value="$targd">
		<span style="font-size: 12px; font-weight: bold;">画像のアップロード</span>
		<table width="350" border="0" cellpadding="0" cellspacing="0" style="background-color: #F7F7F7; border: 2px solid #FFFFFF; padding: 5px;">
			<tr>
				<td style="padding-top: 0px;padding-bottom: 0px; font-size: 12px;" width="80">アップロード:</td>
				<td style="padding-top: 0px;padding-bottom: 0px;width:300px;"><input type="file" name="imgfile" size="30" style="font-size: 10px; width: 100%;" /></td>
			</tr>
			<tr>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 10px;">&nbsp;</td>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 12px;">添付サイズ上限: $ViewMaxSize</td>
			</tr>
$hideTag1
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">JPGリサイズ:</td>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;"><input type="text" name="resize" value="" style="font-size: 10px; width:30%;"> px</td>
			</tr>
			<tr>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 10px;">&nbsp;</td>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 12px;">推奨サイズ: 320px以下</td>
			</tr>
$hideTag2
		</table>
		<div align="right">
			<input type="submit" value="ライブラリへアップロード" style="font-size: 12px;">
		</div>

		<span style="font-size: 12px; font-weight: bold;">ライブラリ画像の挿入 </span>
		<table width="350" border="0" cellpadding="0" cellspacing="0" style="background-color: #F7F7F7; border: 2px solid #FFFFFF; padding: 5px;">
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;" width="80">画像URL:</td>
				<td style="padding-bottom: 2px; padding-top: 0px;" width="300"><input type="text" name="src" id="src" value=""  style="font-size: 10px; width: 100%;"></td>
			</tr>
			<tr>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 10px;">&nbsp;</td>
				<td style="padding-top: 0px;padding-bottom: 2px; font-size: 12px;">▲画像ライブラリからファイルをクリックして選択</td>
			</tr>
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">代替テキスト:</td>
				<td style="padding-bottom: 2px; padding-top: 0px;"><input type="text" name="alt" id="alt" value=""  style="font-size: 10px; width: 100%;"></td>
			</tr>
		</table>
		
	<table width="350" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td style="vertical-align:top;">
			
			<span style="font-size: 12px; font-weight: bold;">画像レイアウト</span>
			<table width="175" border="0" cellpadding="0" cellspacing="0" style="background-color: #F7F7F7; border: 2px solid #FFFFFF; padding: 5px;">
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">幅(px):</td>
				<td style="width:60px;padding-bottom: 2px; padding-top: 0px;"><input type="text" name="width" id="width" value=""  style="font-size: 10px; width: 100%;"></td>
			</tr>
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">高さ(px):</td>
				<td style="padding-bottom: 2px; padding-top: 0px;"><input type="text" name="height" id="height" value=""  style="font-size: 10px; width: 100%;"></td>
			</tr>
			<tr>
				<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">ボーダー(px):</td>
				<td style="padding-bottom: 2px; padding-top: 0px;"><input type="text" name="border" id="border" value="0"  style="font-size: 10px; width: 100%;"></td>
			</tr>
			</table>	
			
			</td><td width="10">&nbsp;</td><td style="vertical-align:top;">
			
			<span style="font-size: 12px; font-weight: bold;">&nbsp;</span>
			<table width="175" border="0" cellpadding="0" cellspacing="0" style="background-color: #F7F7F7; border: 2px solid #FFFFFF; padding: 5px;">
				<tr>
					<td style="width: 115px;padding-bottom: 2px; padding-top: 0px; font-size: 12px;" width="100">位置:</td>
					<td style="width: 85px;padding-bottom: 2px; padding-top: 0px;">
						<select name="align" id="align" style="font-size: 12px; width: 100%;">
						<option value="">Not Set</option>
						<option value="left">Left</option>
						<option value="right">Right</option>
						<option value="texttop">Texttop</option>
						<option value="absmiddle">Absmiddle</option>
						<option value="baseline">Baseline</option>
						<option value="absbottom">Absbottom</option>
						<option value="bottom">Bottom</option>
						<option value="middle">Middle</option>
						<option value="top">Top</option>
						</select>
					</td>
				</tr>
				<tr>
					<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">横間隔:</td>
					<td style="padding-bottom: 2px; padding-top: 0px;"><input type="text" name="hspace" id="hspace" value=""  style="font-size: 10px; width: 100%;"></td>
				</tr>
				<tr>
					<td style="padding-bottom: 2px; padding-top: 0px; font-size: 12px;">縦間隔:</td>
					<td style="padding-bottom: 2px; padding-top: 0px;"><input type="text" name="vspace" id="vspace" value=""  style="font-size: 10px; width: 100%;"></td>
				</tr>
			</table>
			
			</td></tr></table>
			
			<div align="right">
				<input type="button" value="上記画像を挿入する" onclick="insertImage();return false;" style="font-size: 12px;">
				<input type="button" value="キャンセル" onclick="window.close();" style="font-size: 12px;">	
			</div>
		</form>
		
	</td>
	<td style="vertical-align: top;width: 260px; padding-left: 5px;" rowspan="2">
		<span style="font-size: 12px; font-weight: bold;">画像ライブラリ</span>
		<span style="font-size: 12px;">参照：$swTagLocal $swTagPub </span>
		<iframe id="selImage" frameborder="0" framespacing="0" style="height:180px;width: 280px;border: 1px solid #999999; padding: 0px;margin: 0px;" src=""></iframe>
		<iframe id="chooser" frameborder="0" framespacing="0" style="height:165px;width: 280px;border: 1px solid #999999; padding: 0px;" src="$cginame?mode=list&amp;targd=$targd&amp;seld=$seld&amp;wysiwyg=$wysiwyg""></iframe>
	</td>
	</tr>
</table>
</body>
</html>
HTML

print "Content-type: text/html\n\n";
print $viewHTML;

}
##=======================================================================================
sub list {

our @UploadedFiles=&GetFilelist($updir,0,0);
our $TagFiles;
our $fi;
foreach (@UploadedFiles) {
	$TagFiles=$TagFiles."<a href=\"javascript:void(0)\" onclick=\"selectImage(\'".$showdir.$UploadedFiles[$fi]."\')\;"
	."showImage(\'".$cginame.'?mode=view&amp;xurl='.$updir.$UploadedFiles[$fi]."\')\;\"><img src=\"images/jpg.gif\" alt=\"".$UploadedFiles[$fi]."\" border=\"0\" /> "
	."<strong>".$UploadedFiles[$fi]."</strong></a> "
	."<a href=\"".$cginame.'?wysiwyg='.$wysiwyg.'&amp;mode=delcheck&amp;seld='.$seld.'&amp;targd='.$targd.'&amp;dfile='.$UploadedFiles[$fi]."\" onclick=\"showImage(\'"
	.$cginame.'?mode=view&amp;wysiwyg='.$wysiwyg.'&amp;seld='.$seld.'&amp;targd='.$targd.'&amp;xurl='.$updir.$UploadedFiles[$fi]."\')\;\" style=\"color:red\">[削除]</a><br>\n";
	$fi++;
}

my $listHTML = <<"listHTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="expires" content="0">
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>SelectImage</title>
<link rel="stylesheet" href="../../../style.css" type="text/css">
<script type="text/javascript">
	function selectImage(url) {
		if(parent) {
			parent.document.getElementById("src").value = url;
		}
	}
	function showImage(xurl) {
		if(parent) {
			parent.document.getElementById("selImage").src = xurl;
		}
	}
	if(parent) {
		parent.document.getElementById("dir").value = '$updir';
	}
	
</script>
</head>
<body style="margin:2px">
$TagFiles
</body>
</html>
listHTML

print "Content-type: text/html\n\n";
print $listHTML;

}
##=======================================================================================
sub view {

my $imgTag;
if ($in{'xurl'} ne '') {
	$imgTag='<img src="'.$in{'xurl'}.'">';
}

my $veiwHTML = <<"veiwHTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="expires" content="0">
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>showImage</title>
<link rel="stylesheet" href="../../../style.css" type="text/css">
</head>
<body style="margin:0px">
$imgTag
</body>
</html>
veiwHTML

print "Content-type: text/html\n\n";
print $veiwHTML;

}
##=======================================================================================
sub regfile {

##ファイル名を取得
$orgfname=$in{'imgfile'};

my $TmpImage=$updir.$$.'.tmp';
my $FinImage=$updir.$orgfname.'';

if ($in{'imgfile'} eq '') { &error('画像がが添付されていません'); }
if (-e $FinImage) { &error('このファイル名('.$orgfname.')はすでにライブラリ登録されています'); }
if (($in{'imgfile'}=~/.jpg/)||($in{'imgfile'}=~/.JPG/)||($in{'imgfile'}=~/.gif/)||($in{'imgfile'}=~/.GIF/)||($in{'imgfile'}=~/.png/)||($in{'imgfile'}=~/.PNG/)) {

# マックバイナリ対策
my $macbin=0;
foreach (@in) {
	if ($_ =~ /application\/x-macbinary/i) { $macbin=1; }
}
if ($macbin) {
	my $length = substr($upfile,83,4);
	$length = unpack("%N",$length);
	$upfile = substr($upfile,128,$length);
}

# 添付データを書き込み
my $buffer;
open(OUT,"> $TmpImage") || &error('アップロード失敗');
binmode(OUT);
binmode(STDOUT);
while (read($upfile, $buffer, 1024)) { 
	print OUT $buffer;
} 
print OUT $upfile;
close(OUT);
chmod(oct($WRMode),$TmpImage);

# JPGリサイズ
my $JpegFlag;
my $setSize;
my $outMsg;
if (($in{'imgfile'}=~/.jpg/)||($in{'imgfile'}=~/.JPG/)) { $JpegFlag=1; } else { $JpegFlag=0; }
if (($in{'resize'} ne '')&&($JpegFlag==1)) {
		$setSize=$in{'resize'}.'x'.$in{'resize'};
		system("$PathConvert -quality 90 -thumbnail $setSize $TmpImage $FinImage");
		$outMsg=$setSize.' JPGリサイズ処理';
		sleep(1);
} else {
	rename($TmpImage,$FinImage);
}
if (-e $TmpImage) { unlink($TmpImage); }

#処理画面出力
my $jumpurl=$cginame.'?wysiwyg='.$wysiwyg.'&amp;seld='.$seld.'&amp;targd='.$targd;
my $htJUMP = <<"htJUMP";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<meta http-equiv="Refresh" content="1;url=$jumpurl">
<title>ファイル操作</title>
</head>
<body bgcolor="#FFFFFF">
<h3 align="center">只今、$orgfname を登録中です。</h3>
<div align="center">$outMsg</div>
</body>
</html>
htJUMP

print "Content-type: text/html\n\n";
print $htJUMP;

} else {  &error('添付できるファイルは、JPG,GIF,PNGファイルのみです'); }
exit;
}
##=======================================================================================
sub delcheck {

our $delfile=$updir.$in{'dfile'}.'';

if (-e $delfile) { 
#処理画面出力
my $htJUMP = <<"htJUMP";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>ファイル操作</title>
<link rel="stylesheet" href="../../../style.css" type="text/css">
</head>
<body bgcolor="#FFFFFF">
<div align="center">
<b style="color:red">$in{'dfile'} を削除しますか？</b><br>
<a href="$cginame?wysiwyg=$wysiwyg&amp;mode=delfile&amp;seld=$seld&amp;targd=$targd&amp;dfile=$in{'dfile'}">[削除]
<a href="$cginame?wysiwyg=$wysiwyg&amp;mode=list&amp;seld=$seld&amp;targd=$targd">[キャンセル]</a>
</div>
</body>
</html>
htJUMP
print "Content-type: text/html\n\n";
print $htJUMP;
} else { &error('ファイルがみつからないか、すでに削除されています'); }

exit;
}
##=======================================================================================
sub delfile {

our $delfile=$updir.$in{'dfile'}.'';
if (-e $delfile) { 
	unlink($delfile);
} else { &error('ファイルがみつからないか、すでに削除されています'); }


#処理画面出力
my $jumpurl=$cginame.'?wysiwyg='.$wysiwyg.'&amp;mode=list&amp;seld='.$seld.'&amp;targd='.$targd;
my $htJUMP = <<"htJUMP";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<meta http-equiv="Refresh" content="1;url=$jumpurl">
<title>ファイル操作</title>
<link rel="stylesheet" href="../../../style.css" type="text/css">
</head>
<body bgcolor="#FFFFFF">
<h4 align="center">$in{'dfile'} を削除中です。</h4>
</body>
</html>
htJUMP

print "Content-type: text/html\n\n";
print $htJUMP;

exit;
}
##=======================================================================================
sub error {

my $error = $_[0];
my $ReturnLink='<a href="javascript:history.go(-1)">[先程のページへ戻る]</a>';

##★エラーメッセージの変更はここを訂正
my $errHTML = <<"ERRORMESS";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>ERROR</title>
<link rel="stylesheet" href="../../../style.css" type="text/css">
</head>
<body bgcolor="#FFFFFF">
<h3 align="center"><span style="color:#ff0000">ERROR</span></h3>
<div align="center">&nbsp;<br>$error<br>&nbsp;<br>$ReturnLink</div>
</body>
</html>
ERRORMESS

print "Content-type: text/html\n\n";
print $errHTML;

exit;
}
##=======================================================================================
sub GetFilelist {

# ファイルリストの取得 
# &GetFilelist(ディレクトリ, 拡張子, スイッチ);
# 返り値：ファイル一覧（ディレクトリが開けない場合は「false」） 
# ディレクトリは相対パスで指定（絶対パスは不可） 
# 拡張子は「/（スラッシュ）」で区切ることで複数指定可 
# 拡張子に「.[*]」を指定すると全てのファイルを返す 
# 拡張子に0を指定する（&GetFilelist(ディレクトリ, 0, スイッチ);）とディレクトリ一覧を返す 
# スイッチは0か1を指定。1を指定するとファイル名を全て小文字に変換して検索。
# 0の場合は大文字と小文字が区別される 


# 引数の取得、変数の準備
my ($dir, $extension, $swich) = @_;
my ($temp, $file, $e, $n, @filelist);
my $i = 0;

# 複数指定の拡張子を分割
my @ext = split(/\//, $extension);

# ディレクトリを開く
opendir (DIR , $dir) || return 0;

# ディレクトリにあるファイル等を１つずつ抽出
while ($file = readdir DIR) {
	# ゴミをはじく
	if ($file =~ /^\.{1,2}$/) {
		next;
	} else {
		# 大文字小文字の判定
		if ($swich == 1) {
			$temp = lc($file);
			foreach (@ext) {
				$_ = lc($_);
			}
		} else {
			 $temp = $file;
		}
		# ファイルが指定拡張子と合致するかを拡張子毎にチェック
		foreach $e (@ext) {
			# 拡張子が指定されていて且つ、ワイルドカードではない
			if ($e && $e ne ".[*]") {
				# 拡張子以外の文字列に引っかからないための措置
				if (index($temp, $e, length($temp) - length($e)) != -1) {
					$filelist[$i] = $file;
					$i++;
					# ヒットしたら次のファイルへ
					last;
				} else {
					# ヒットしないため別の拡張子へ
					next;
				}
			} else {
					# ワイルドカードを指定された時
					if ($e eq ".[*]") {
						if ($file =~/\./) {
							$filelist[$i] = $file;
							$i++;
							last;
						}
					} else {
						# 拡張子の指定がない時
						$filelist[$i] = $file;
						$i++;
						last;
					}
			}
		}
	}
}

closedir(DIR) ;

# 結果としてファイル一覧を返す
return @filelist;

}
##=======================================================================================
